
#include <GnusbuinoMIDI.h>        // you MUST include the Gnusbuino MIDI library
#include "ui.h"

Ui ui;    // create an instance of the UI class

unsigned long lastTime =0;      // variable to store the last time we sent a chord
unsigned long time = 0;         // variable to store the last time we sent a chord
int           interval = 5;     // interval when button is pressed for the next action 

// setup routine to initialize all stuff
void setup() {
  ui.Init();
}

void handleUI() {
  
  if ((time - lastTime) > interval) {  // current interval 1ms)
    time = lastTime;                 
    ui.Poll();               // read button states 
    ui.DoEvents(); 
  }
}

// the loop routine runs over and over again forever:
void loop() {
  time = millis();
  handleUI();
}

/*---------------------------------------------------------------------------------------------

  Gnusbuino MIDI Library 2012 by Michael Egger
 
  SEND NOTES EXAMPLE
  Send a chord of three notes to the host over MIDI
 
  This example code is in the public domain.

--------------------------------------------------------------------------------------------- */
// On the Sanguino board, digital pins are also used
// for the analog output (software PWM).  Analog input
// pins are a separate set.

// ATMEL ATMEGA644P / SANGUINO / GNUSBUINO
//
//                       +---\/---+
//      INT0 (D 0) PB0  1|        |40  PA0 (AI 0 / D31)
//      INT1 (D 1) PB1  2|        |39  PA1 (AI 1 / D30)
//      INT2 (D 2) PB2  3|        |38  PA2 (AI 2 / D29)
//       PWM (D 3) PB3  4|        |37  PA3 (AI 3 / D28)  
//       PWM (D 4) PB4  5|        |36  PA4 (AI 4 / D27)  - H
//      MOSI (D 5) PB5  6|        |35  PA5 (AI 5 / D26)  - Ais b
//      MISO (D 6) PB6  7|        |34  PA6 (AI 6 / D25)  - A
//       SCK (D 7) PB7  8|        |33  PA7 (AI 7 / D24)  - Gis As
//                 RST  9|        |32  AREF
//                 VCC 10|        |31  GND
//                 GND 11|        |30  AVCC
//               XTAL2 12|        |29  PC7 (D 23)        - G
//               XTAL1 13|        |28  PC6 (D 22)        - Fis Ges
//      RX  (D 8)  PD0 14|        |27  PC5 (D 21) TDI    - F
//      TX  (D 9)  PD1 15|        |26  PC4 (D 20) TDO    - E
//      USB (D 10) PD2 16|        |25  PC3 (D 19) TMS    - Dis Es
//      USB (D 11) PD3 17|        |24  PC2 (D 18) TCK    - D
//      PWM (D 12) PD4 18|        |23  PC1 (D 17) SDA    - Cis Dex
//      PWM (D 13) PD5 19|        |22  PC0 (D 16) SCL    - C
//      PWM (D 14) PD6 20|        |21  PD7 (D 15) PWM
//                       +--------+
//


