/*
  Switch.cpp - Library for handling switches
*/

#include <Arduino.h>
#include "switches.h"

void Switches::Init() {
 pinMode(0, INPUT_PULLUP);    // set pin mode for octUP button
 pinMode(1, INPUT_PULLUP);    // set pin mode for octDown button
 pinMode(2, INPUT_PULLUP);    // set pin mode for auxiliary button
 
 
}

void Switches::Debounce() {
    for (int i=0; i<3; ++i) {
      switch_state_[i] = (switch_state_[i] << 1) | digitalRead(i);
    }
    for (int i=15; i<27; ++i) {
      switch_state_[i] = (switch_state_[i] << 1) | digitalRead(i);
    }    
}

boolean Switches::Event(uint8_t index) {
  boolean event;
  
//  button_now_pressed_[index] = !pressed(index);  
  button_now_pressed_[index] = !(switch_state_[index] == 0x00);  
    
//  event = button_now_pressed_[index] && !last_switch_state_[index];
  event = button_now_pressed_[index] && !button_now_pressed_[index];
  
  button_was_pressed_[index] = switch_state_[index];
  return event;
}

