/*
  Switch.h - Library for handling switches
*/

#include <Arduino.h>

    
class Switches {
  public:
    Switches() { }
    ~Switches() { } 
    
    void Init();
    void Debounce();

    
    inline bool released(uint8_t index) const {
      return switch_state_[index] == 0xff;
    }
  
    inline bool just_pressed(uint8_t index) const {
      return switch_state_[index] == 0x80;
    }

    inline bool pressed(uint8_t index) const {
      return switch_state_[index] == 0x00;
    } 
    
    boolean Event(uint8_t index); 
    
  private:
    int _pin;
    uint8_t switch_state_[27];
    //uint8_t last_switch_state_[15];
    uint8_t button_now_pressed_[27];
    uint8_t button_was_pressed_[27];
    //uint8_t button_now_pressed[15];
};



